List volumes
GET
/api/v1/volume
const url = 'https://console.cloudlogics.com/api/v1/volume';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://console.cloudlogics.com/api/v1/volume \ --header 'Authorization: <Authorization>'Retrieve all volumes for the authenticated user’s project
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”List of volumes
Media typeapplication/json
Array<object>
object
key
additional properties
any
Examplegenerated
[ {}]Missing project in context
Media typeapplication/json
object
data
error
object
code
integer
message
string
page
object
next
string
prev
string
total_size
integer
Examplegenerated
{ "data": "example", "error": { "code": 1, "message": "example" }, "page": { "next": "example", "prev": "example", "total_size": 1 }}Internal server error
Media typeapplication/json
object
data
error
object
code
integer
message
string
page
object
next
string
prev
string
total_size
integer
Examplegenerated
{ "data": "example", "error": { "code": 1, "message": "example" }, "page": { "next": "example", "prev": "example", "total_size": 1 }}